
/*     Definir un tipo de datos que represente a una persona,siendo
 sus campos: el nombre  (char [20]), el apellido (char [20]),el nif
 (char [7+1]) y la edad (int). Llamar PERSONA a este tipo de datos.
 Escribir un programa que pida por pantalla esos datos,rellene una
 variable de tipo PERSONA y finalmente imprima en pantalla estos datos.*/


 #include <conio.h>
 #include <stdio.h>


 struct datos
 {
 char nombre[20];
 char apellido[20];
 char nif[10];
 int edad;
 };


 void main()
 {
 struct datos persona;

  clrscr();

  printf("\nIntroduce tu nombre: ");
  scanf("%s",persona.nombre);
  printf("\nIntroduce tu apellido: ");
  scanf("%s",persona.apellido);
  printf("\nIntroduce tu nif: ");
  scanf("%s",persona.nif);
  printf("\nIntroduce tu edad: ");
  scanf("%i",&persona.edad);


  printf("\nNombre: %s",persona.nombre);
  printf("\nApellido: %s",persona.apellido);
  printf("\nN.I.F: %s",persona.nif);
  printf("\nEdad: %i",persona.edad);

  getch();


 }